#-------------------------------------------------
#
# Project created by QtCreator 2017-06-01T22:31:38
#
#-------------------------------------------------

QT       += core gui widgets network multimedia

QT += serialport

TARGET = SHinterface
TEMPLATE = app

INCLUDEPATH += /usr/include/libnl3/

LIBS += -lnl-3 -lnl-genl-3

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

QMAKE_CXXFLAGS += -std=c++17 -O2

SOURCES += \
    src/actors/factoractor.cpp \
    src/actors/polynomalactor.cpp \
    src/broadcast.cpp \
    src/iomuliplexer.cpp \
    src/items/messageitem.cpp \
    src/items/systemitem.cpp \
    src/ui/actorwidgets/factoractorwidget.cpp \
    src/ui/itemcreationdialog.cpp \
    src/ui/itemsettingswidgets/messageitemsettingswidget.cpp \
    src/mainobject.cpp \
    src/apgetconnected.cpp \
    src/ui/actorwidgets/polynomalactorwidget.cpp \
    src/ui/actorwidgets/sensoractorwidget.cpp \
    src/ui/actorwidgets/alarmwidget.cpp \
    src/ui/actorwidgets/timeractorwidget.cpp \
    src/ui/itemsettingswidgets/relayitemsettingswidget.cpp \
    src/ui/itemsettingswidgets/systemitemsettingswidget.cpp \
    src/ui/itemwidget.cpp \
    src/ui/itemsettingsdialog.cpp \
    src/ui/itemscrollbox.cpp \
    src/items/poweritem.cpp \
    src/ui/actorwidgets/regulatorwdiget.cpp

SOURCES += \
    src/ui/actorsettingsdialog.cpp \
    src/ui/mainwindow.cpp \
    src/ui/sensorlistwidget.cpp

SOURCES += \
    src/actors/actor.cpp \
    src/actors/sensoractor.cpp \
    src/actors/alarmtime.cpp \
    src/actors/regulator.cpp \
    src/actors/timeractor.cpp

SOURCES += \
    src/sensors/sensor.cpp \
    src/sensors/speakersensor.cpp \
    src/sensors/sunsensor.cpp \
    src/sensors/ocupancysensor.cpp

SOURCES += \
    src/items/relay.cpp \
    src/items/item.cpp \
    src/items/itemstore.cpp \
    src/items/auxitem.cpp \
    src/items/rgbitem.cpp

SOURCES += \
    src/alarmactions.cpp \
    src/main.cpp \
    src/microcontroller.cpp \
    src/sun.cpp


HEADERS  += \
    src/actors/factoractor.h \
    src/actors/polynomalactor.h \
    src/broadcast.h \
    src/iomuliplexer.h \
    src/items/messageitem.h \
    src/items/systemitem.h \
    src/ui/actorwidgets/factoractorwidget.h \
    src/ui/itemcreationdialog.h \
    src/ui/itemsettingswidgets/messageitemsettingswidget.h \
    src/mainobject.h \
    src/apgetconnected.h \
    src/ui/actorwidgets/alarmwidget.h \
    src/ui/actorwidgets/polynomalactorwidget.h \
    src/ui/actorwidgets/sensoractorwidget.h \
    src/ui/actorwidgets/timeractorwidget.h \
    src/ui/itemsettingswidgets/relayitemsettingswidget.h \
    src/ui/itemsettingswidgets/systemitemsettingswidget.h \
    src/ui/itemwidget.h \
    src/ui/itemsettingsdialog.h \
    src/ui/itemscrollbox.h \
    src/items/poweritem.h \
    src/ui/actorwidgets/regulatorwdiget.h

HEADERS  += \
    src/ui/actorsettingsdialog.h \
    src/ui/mainwindow.h \
    src/ui/sensorlistwidget.h

HEADERS  += \
    src/actors/actor.h \
    src/actors/alarmtime.h \
    src/actors/sensoractor.h \
    src/actors/regulator.h \
    src/actors/timeractor.h

HEADERS  += \
    src/sensors/sensor.h \
    src/sensors/speakersensor.h \
    src/sensors/sunsensor.h \
    src/sensors/ocupancysensor.h

HEADERS += \
    src/items/relay.h \
    src/items/item.h \
    src/items/itemstore.h \
    src/items/auxitem.h \
    src/items/rgbitem.h

HEADERS += \
    src/alarmactions.h \
    src/microcontroller.h \
    src/sun.h

FORMS    += \
    src/ui/actorwidgets/factoractorwidget.ui \
    src/ui/itemcreationdialog.ui \
    src/ui/itemsettingswidgets/messageitemsettingswidget.ui \
    src/ui/actorsettingsdialog.ui \
    src/ui/actorwidgets/polynomalactorwidget.ui \
    src/ui/itemsettingswidgets/relayitemsettingswidget.ui \
    src/ui/itemsettingswidgets/systemitemsettingswidget.ui \
    src/ui/mainwindow.ui \
    src/ui/relayscrollbox.ui \
    src/ui/actorwidgets/sensoractorwidget.ui \
    src/ui/actorwidgets/alarmwidget.ui \
    src/ui/actorwidgets/timeractorwidget.ui \
    src/ui/itemsettingsdialog.ui \
    src/ui/itemwidget.ui \
    src/ui/actorwidgets/regulatorwdiget.ui

android:FORMS += src/ui/mainwindow-android.ui

RESOURCES += \
    resources.qrc
