#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QColorDialog>
#include <QListWidgetItem>
#include <QTime>
#include <vector>
#include "../actors/alarmtime.h"
#include "../microcontroller.h"
#include "../sensors/sensor.h"
#include "../items/itemstore.h"
#include "../items/poweritem.h"
#include "../broadcast.h"


class MainObject;

namespace Ui
{
class MainWindow;
}

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	explicit MainWindow(MainObject * const mainObject, QWidget *parent = nullptr);
	~MainWindow();

private:
	Ui::MainWindow *ui;

	QColorDialog colorChooser;

	Microcontroller *_micro;

	std::shared_ptr<PowerItem> _powerItem;

signals:

	void sigBrodcast();
	void sigSave();
	void createdItem(std::shared_ptr<Item> item);

private slots:

	//RGB
	void slotChangedRgb(const QColor color);
	void showPowerItemDialog();
	void showItemCreationDialog();
	void saved();

public slots:

	void changeHeaderLableText(QString string);
};

#endif // MAINWINDOW_H
